/// <reference types="react" />
import PropTypes from 'prop-types';
declare const UploadItem: {
    (props: any): JSX.Element;
    propTypes: {
        disabled: PropTypes.Requireable<boolean>;
        removeFileAction: PropTypes.Validator<(...args: any[]) => any>;
        documentName: PropTypes.Validator<string>;
        addDocumentTypeAction: PropTypes.Requireable<(...args: any[]) => any>;
        docType: PropTypes.Requireable<string>;
        showDocTypeDropdown: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        disabled: boolean;
        addDocumentTypeAction: undefined;
        docType: string;
        showDocTypeDropdown: boolean;
    };
};
export default UploadItem;
