import React from 'react';
import { ModalProps as MuiModalProps } from '@material-ui/core';
export interface ModalProps extends MuiModalProps {
    title?: string;
    subtitle?: string;
    primaryAction?: Function | React.ReactNode | null;
    secondaryAction?: Function | React.ReactNode | null;
}
declare const Modal: (props: ModalProps) => JSX.Element;
export default Modal;
