/// <reference types="react" />
interface VemoFormFieldProps {
    disabled?: boolean;
    initialValue?: string;
    label: string;
    required?: boolean;
    tooltip?: string;
    type?: 'text' | 'number' | 'money' | 'textarea' | 'percentage' | 'select' | 'radios' | 'upload';
    options?: any;
    maxLength?: number;
    numberProps?: {
        decimalScale?: number;
        minValue?: number;
        maxValue?: number;
    };
    showDocTypeDropdown: boolean;
}
interface VemoFormProps {
    fields: VemoFormFieldProps[];
    onSubmit: any;
}
declare const VemoForm: (props: VemoFormProps) => JSX.Element;
export default VemoForm;
