/// <reference types="react" />
import * as IconList from './index';
import { SvgIconProps } from '@material-ui/core';
export interface IconProps extends SvgIconProps {
    name: 'StudentsLine' | 'StudentsFill' | 'StudentLine' | 'StudentFill' | 'SecureLine' | 'SecureFill' | 'Money' | 'IsaLine' | 'IsaFill' | 'GraduationBadge' | 'EmploymentFill' | 'EmploymentLine' | 'CollegesFill' | 'CollegesLine' | 'ApplicationsFill' | 'ApplicationsLine' | 'StartApplicationLine' | 'DashboardFill' | 'DashboardLine' | 'TextMessage' | 'PhoneInbound' | 'EmailLine' | 'PhoneOutbound' | 'EmailFill' | 'SupportLine' | 'ErrorFill' | 'ErrorLine' | 'NotificationsFill' | 'NotificationsLine' | 'VisibleLine' | 'VisibleFill' | 'Check' | 'VisibleCross' | 'ArrowUp' | 'Menu' | 'SortArrowUp' | 'ArrowRight' | 'SortArrowDown' | 'ArrowDown' | 'ArrowLeft' | 'Horizontal' | 'Upload' | 'SignOutLine' | 'SignOutFill' | 'SettingsLine' | 'SettingsFill' | 'Search' | 'LocationOutline' | 'Reload' | 'LocationFill' | 'LinkOut' | 'Help' | 'Filter' | 'Edit' | 'Download' | 'DeleteFill' | 'Close' | 'CameraFill' | 'CalculatorFill' | 'CalendarLine' | 'Add' | 'CalendarFill' | 'BankFill' | 'BankLine' | 'Clock' | 'WarningFill' | 'SliderThumb' | 'NoEmployment' | 'Cancel' | 'StartApplicationsFill';
}
declare const Icon: (props: IconProps) => JSX.Element;
export default Icon;
