/// <reference types="react" />
import { SnackbarProps as MuiSnackbarProps } from '@material-ui/core';
import { ActionCardProps } from '../ActionCard';
export interface SnackbarMessageProps extends ActionCardProps {
    text: string;
}
interface SnackbarProps extends MuiSnackbarProps {
    messages: SnackbarMessageProps | SnackbarMessageProps[] | string;
    status: 'success' | 'warning' | 'error' | 'pending';
    title?: string;
}
declare const Snackbar: (props: SnackbarProps) => JSX.Element;
export default Snackbar;
