/// <reference types="react" />
import { StandardTextFieldProps } from '@material-ui/core';
import { AdornmentProps } from './Adornment';
export interface CustomValidationProps {
    schema: any;
    message: string | any;
}
export interface FieldBaseProps extends StandardTextFieldProps {
    customValidation?: CustomValidationProps | CustomValidationProps[];
    initialValue: any;
    icon?: AdornmentProps;
    isLoading?: boolean;
    maxLength?: number;
    minLength?: number;
    tooltip?: any;
}
declare const VemoForm: (props: FieldBaseProps) => JSX.Element;
export default VemoForm;
